---
title: Official Docker samples
description: Learn how to develop and ship containerized applications, by walking through samples that exhibit canonical practices.
redirect_from:
- /en/latest/examples/
- /engine/examples/
- /examples/
---

Visit [Docker Samples on GitHub](https://github.com/dockersamples?q=&type=all&language=&sort=stargazers){: target="_blank" rel="noopener" class="_"} and the [Awesome-compose repository on GitHub](https://github.com/docker/awesome-compose){: target="_blank" rel="noopener" class="_"} for a full list of samples. The following are a few samples from those repositories.

| Sample | Description |
| ------ | ----------- |
| [atsea-sample-shop-app](https://github.com/dockersamples/atsea-sample-shop-app){: target="_blank" rel="noopener" class="_"} | A sample Java REST application. |
| [ASP.NET / MS-SQL](https://github.com/docker/awesome-compose/tree/master/aspnet-mssql){: target="_blank" rel="noopener" class="_"} | A sample ASP.NET core application with MS SQL server database. |
| [example-voting-app](https://github.com/dockersamples/example-voting-app){: target="_blank" rel="noopener" class="_"} | A sample distributed application running across multiple Docker containers. |
| [Django](https://github.com/docker/awesome-compose/tree/master/django){: target="_blank" rel="noopener" class="_"} | A sample Django application. |
| [k8s-wordsmith-demo](https://github.com/dockersamples/k8s-wordsmith-demo){: target="_blank" rel="noopener" class="_"} | A sample Wordsmith project that runs across three containers: a Postgres database, a Java REST API, and a Go web application. |